Loading...
Searching...
No Matches
globus_uuid.h File Reference

Globus UUID Generator. More...

`#include "globus_common_include.h"`
`#include "globus_libc.h"`

Go to the source code of this file.

## Functions

int | globus_uuid_create (globus_uuid_t *uuid)
| Create UUIDCreates a time based, Leach-Salz variant uuid, using the mac address when available.
int | globus_uuid_import (globus_uuid_t *uuid, const char *str)
| Import a UUIDImport a string in the text UUID format into a globus_uuid_t value.
int | globus_uuid_fields (globus_uuid_t *uuid, globus_uuid_fields_t *uuid_fields)
| Extract fields from UUIDCopy the fields from uuid to uuid_fields in host byte order.

## Detailed Description

Globus UUID Generator.